Package ru.bitel.bgbilling.modules.npay.server.bean.quantity

# Class ModuleQuantity

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity

Direct Known Subclasses:
  `CallModuleQuantity`, `InetModuleQuantity`, `PhoneModuleQuantity`, `PhoneSubModuleQuantity`, `VoiceLineModuleQuantity`, `VoiceModuleQuantity`

    public abstract class ModuleQuantity
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `class` | `ModuleQuantity.ModuleQuantityResult` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ModuleQuantity()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getModuleId()` |
  `protected ModuleQuantity.ModuleQuantityResult` | `getModuleQuantityResult​(java.sql.ResultSet rs)` |
  `abstract java.util.List<ModuleQuantity.ModuleQuantityResult>` | `getPeriodQuantity​(java.sql.Connection con, int contractId, java.util.Calendar from, java.util.Calendar to)` |
  `protected java.util.List<ModuleQuantity.ModuleQuantityResult>` | `getPeriodsFromTable​(java.sql.Connection con, java.lang.String tableName, int contractId, java.util.Calendar from, java.util.Calendar to, java.lang.String filter)` |
  `protected java.util.List<ModuleQuantity.ModuleQuantityResult>` | `getPeriodsFromTable​(java.sql.Connection con, java.lang.String tableName, int contractId, java.util.Calendar from, java.util.Calendar to, java.lang.String filter, java.lang.String fieldContractId, java.lang.String fieldDate1, java.lang.String fieldDate2)` |
  `protected java.lang.String` | `getQuery​(java.lang.String tableName, java.lang.String fieldContractId, java.lang.String fieldDate1, java.lang.String fieldDate2)` |
  `protected java.lang.String` | `getQueryJoin()` |
  `protected java.lang.String` | `getQuerySelect​(java.lang.String fieldDate1, java.lang.String fieldDate2)` |
  `java.util.List<java.lang.Integer>` | `getSids()` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setSids​(java.util.List<java.lang.Integer> sids)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleQuantity

    public ModuleQuantity()

- ## Method Details

  - ### getSids

    public java.util.List<java.lang.Integer> getSids()

  - ### setSids

    public void setSids​(java.util.List<java.lang.Integer> sids)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getPeriodQuantity

    public abstract java.util.List<ModuleQuantity.ModuleQuantityResult> getPeriodQuantity​(java.sql.Connection con, int contractId, java.util.Calendar from, java.util.Calendar to)

  - ### getPeriodsFromTable

    protected java.util.List<ModuleQuantity.ModuleQuantityResult> getPeriodsFromTable​(java.sql.Connection con, java.lang.String tableName, int contractId, java.util.Calendar from, java.util.Calendar to, java.lang.String filter)

  - ### getPeriodsFromTable

    protected java.util.List<ModuleQuantity.ModuleQuantityResult> getPeriodsFromTable​(java.sql.Connection con, java.lang.String tableName, int contractId, java.util.Calendar from, java.util.Calendar to, java.lang.String filter, java.lang.String fieldContractId, java.lang.String fieldDate1, java.lang.String fieldDate2)

  - ### getQuery

    protected java.lang.String getQuery​(java.lang.String tableName, java.lang.String fieldContractId, java.lang.String fieldDate1, java.lang.String fieldDate2)

  - ### getQuerySelect

    protected java.lang.String getQuerySelect​(java.lang.String fieldDate1, java.lang.String fieldDate2)

  - ### getQueryJoin

    protected java.lang.String getQueryJoin()

  - ### getModuleQuantityResult

    protected ModuleQuantity.ModuleQuantityResult getModuleQuantityResult​(java.sql.ResultSet rs) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`